## buxon 0.0.3

=== Makefile ===
# Buxon Makefile

NAME=SWAML
DESTDIR =
ZIP=gzip

install:
	cp setup/buxon $(DESTDIR)/usr/bin/buxon
	chmod 755 $(DESTDIR)/usr/bin/buxon
	mkdir -p $(DESTDIR)/usr/share/buxon/
	cp buxon.py $(DESTDIR)/usr/share/buxon/
	mkdir -p $(DESTDIR)/usr/share/buxon/includes/images
	cp includes/images/calendar.xpm $(DESTDIR)/usr/share/buxon/includes/images/
	cp -r includes/ui $(DESTDIR)/usr/share/buxon/includes/
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	cp includes/images/rdf.xpm $(DESTDIR)/usr/share/pixmaps/buxon.xpm
	mkdir tmp
	$(ZIP) -9 -c manpages/buxon.1 > tmp/buxon.1.gz
	mv tmp/buxon.1.gz $(DESTDIR)/usr/share/man/man1/
	rm -r tmp
	cp setup/buxon.desktop $(DESTDIR)/usr/share/applications/

uninstall:
	rm -f $(DESTDIR)/usr/bin/buxon
	rm -rf $(DESTDIR)/usr/share/buxon
	rm -f $(DESTDIR)/usr/shar/pixmaps/buxon.xpm
	rm -f $(DESTDIR)/usr/share/man/man1/buxon.1.gz
	rm -f $(DESTDIR)/usr/share/applications/buxon.desktop

clean:
	rm -rf buxon.cache
	rm -f `find . -name "*~"`
	rm -f `find . -name "*.pyc"`

## buxon 0.0.5

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	cp setup/buxon $(DESTDIR)/usr/bin/buxon
 	chmod 755 $(DESTDIR)/usr/bin/buxon
 	mkdir -p $(DESTDIR)/usr/share/buxon/
-	cp buxon.py $(DESTDIR)/usr/share/buxon/
+	cp -r run.py src $(DESTDIR)/usr/share/buxon/
 	mkdir -p $(DESTDIR)/usr/share/buxon/includes/images
 	cp includes/images/calendar.xpm $(DESTDIR)/usr/share/buxon/includes/images/
 	cp -r includes/ui $(DESTDIR)/usr/share/buxon/includes/

=== debian/changelog ===
buxon (0.0.5-5) unstable; urgency=medium

  * QA Upload.
  [ Chris Lamb ]
  * Pass GZIP=-9n to make install invocation. Closes: #777296.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 18:30:44 +0200

buxon (0.0.5-4) unstable; urgency=low

  * Orphaned. Set maintainer to Debian QA Group.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 29 Dec 2013 19:25:03 +0000

buxon (0.0.5-3) unstable; urgency=low

  * debian/patches (+1 patches)
   - manpage-typos: s/a RDF/an RDF/

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 28 Aug 2011 11:36:14 +0000

buxon (0.0.5-2) unstable; urgency=low

  * debian/control
   - Fix grammar error in package description.
     (a RDF file -> an RDF file). Thanks Justin.
  * debian/patches (+3 patches)
   - manpage-input-help: Clarify input. (closes: #509205). 
     Thanks Olivier.
   - manpage-dates: Fix copyright dates.
   - manpage-training-spaces: Drop trailing whitespaces.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 28 Aug 2011 10:12:36 +0000

buxon (0.0.5-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Migrate to dh_python2.
  * debian/control
    - Fix grammar error in package description 
      (closes: #492536, closes: #495008).
    - Drop dependency on gazpacho (no longer needed). 
      Depend on python-glade2 instead.
    - Drop build-dependency on python-support.
    - Bump debhelper compatibility level to 8.
    - Set Standards-Version to 3.9.2 (no changes).
    - Add {misc:Depends}.
    - dh_clean -k -> dh_prep.
  * debian/copyright
    - Bump copyright dates.
    - Add packaging license.
  * debian/pyversions
    - Dropped.

 -- Nacho Barrientos Arias <nacho@debian.org>  Fri, 26 Aug 2011 22:26:24 +0200

buxon (0.0.4-1) unstable; urgency=low

  * New upstream release
   + Now independent from SWAML (closes: #468251)
   + Fixed incompatibility with Rdflib (closes: #468250)
  * debian/control
   + Drop quilt from b-d.
   + Drop SWAML from depends field, put rdflib instead.
  * debian/rules, patches/
   + Drop shebang-related patches, merged upstream.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sat, 08 Mar 2008 12:56:17 +0100

buxon (0.0.3-3) unstable; urgency=low

  * debian/control
   + Bumping standards version to 3.7.3.
   + Moving the Homepage information to the right place.
  * debian/pyversions, debian/patches, debian/pyversions
   + Support Python 2.5 (closes: #445247)
  * debian/menu
   + s/Apps/Applications/

 -- Nacho Barrientos Arias <nacho@debian.org>  Tue, 04 Mar 2008 15:27:31 +0100

buxon (0.0.3-2) unstable; urgency=low

  * Added debian/watch file.
  * New maintainer's email address. 

 -- Nacho Barrientos Arias <nacho@debian.org>  Thu, 22 Mar 2007 15:23:29 +0100

buxon (0.0.3-1) unstable; urgency=low

  * Initial release (Closes: #404745).

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Thu, 28 Dec 2006 13:57:38 +0100

=== debian/control ===
Source: buxon
Section: web
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), python (>= 2.6.6-3~)
Standards-Version: 3.9.2
Homepage: http://swaml.berlios.de
XS-Python-Version: >=2.6

Package: buxon
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-rdflib, python-glade2
Description: SIOC forums browser
 Buxon, which was created as a part of the SWAML (Semantic Web
 Archive of Mailing Lists) project, provides a graphical user
 interface which helps you to browse SIOC forums.
 .
 This GUI only needs a URL to an RDF file storing SIOC forums
 information to start browsing and searching into it.

=== debian/rules ===
#!/usr/bin/make -f

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/buxon GZIP=-9n install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_link
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://swaml.berlios.de/releases/buxon-(.*)\.tar\.gz
